# ParaSwap SRB

PSPSRB is a benchmark that represents the annualized staking rate for the PSP token. Due to the tokenomics of this token, its value is determined by the reward rate of the most popular reward option, which holds more than the supermajority of the locked tokens.

PSPSRB is calculated and published by Staking Rewards via the [PSP Profile](https://www.stakingrewards.com/asset/paraswap) and [Data API](https://www.stakingrewards.com/data-api).

> **TL;DR:** ParaSwap staking rewards come from protocol fees collected during each 28-day epoch. The reward rate equals predicted rewards times reward share, divided by investment value, and annualized.

$$
PSPSRB = (pr \* rs)/ iv \* t\_y / t\_e
$$

<table data-full-width="false"><thead><tr><th width="141">Formula key</th><th width="172">Metric name</th><th>Description</th></tr></thead><tbody><tr><td><span class="math">pr</span></td><td>Predicted Rewards</td><td>The prediction of all fees collected on the protocol during the current epoch. Predicted rewards are influenced by individual reward shares.</td></tr><tr><td><span class="math">rs</span></td><td>Reward Share</td><td>The adjusted share of the reward option.</td></tr><tr><td><span class="math">iv</span></td><td>Investment Value</td><td>The value deposited.</td></tr><tr><td><span class="math">t_y</span></td><td>Year Constant</td><td>365d</td></tr><tr><td><span class="math">t_e</span></td><td>Epoch Constant</td><td>28d</td></tr></tbody></table>

***

### Paraboost Score:

The paraboost score is a multiplier that represents your share of the reward distribution when compared to the total paraboost score of all stakers.

$$paraboostScore = tokenScore \* myBoost$$

$$myBoost = tb1 \* tb2 \* mb \* pb \* bb \* rb1 \* rb2$$

$$tokenScore = sePSP1 + 2.5 \* sePSP2$$

<table data-full-width="false"><thead><tr><th width="212.99999999999994">Metric</th><th width="131">Boost name</th><th>Description</th></tr></thead><tbody><tr><td><em>sePSP1</em> <span class="math">f(x) = x * e^{2 pi i \xi x}</span></td><td></td><td>The amount of staked PSP in the basic pool.</td></tr><tr><td><em>sePSP2</em></td><td></td><td>The amount of staked PSP in the boosted pool.</td></tr><tr><td><em>tb1</em></td><td>General Trading Boost</td><td>The more volume a user trades through ParaSwap, the bigger the boost.</td></tr><tr><td><em>tb2</em></td><td>Trading Boost Stable to Stable</td><td>Stablecoin to stablecoin trades provide different boost values. Harder to collect fees (less spread).</td></tr><tr><td><em>mb</em></td><td>Market Making Boost</td><td>Market makers, including limit orders participants, OTC, and RFQ (PMMs), are eligible for stake boost depending on filled orders volume.</td></tr><tr><td><em>pb</em></td><td>Pooling Boost</td><td>Liquidity provision through sePSP2 for the time an asset is kept without requesting a withdrawal. A minimum amount of 10k sePSP2 amount is required for it to be counted for the boost. The boost will be calculated using averages of the stake, and triggering an unstake request will reset the boost timer</td></tr><tr><td><em>bb</em></td><td>Balance Booster</td><td>Holders of a minimum of $100 worth of PSP in the user’s wallet on a single chain receive a 10% boost.</td></tr><tr><td><em>rb1</em></td><td>Referrer Boost</td><td>Trades made using a referral link will provide a 20% boost to the referrer.</td></tr><tr><td><em>rb2</em></td><td>Referral Boost</td><td>Trades made using a referral link will provide will receive a 10% boost on applicable trades.</td></tr><tr><td>(migration boost)</td><td>Migration boost</td><td>Boost bonus from migrating from PSP to PSP 2.0.<br>(Not to be included in the calculator)</td></tr></tbody></table>

### Boost values where none were presented:

|       |                                  |
| ----- | -------------------------------- |
| *tb1* | ![](/files/6i50iSw1Wm35a8bqFLa7) |
| *tb2* | ![](/files/4PSIlYZR6B4JZb07OiOj) |
| *mb*  | ![](/files/6i50iSw1Wm35a8bqFLa7) |
| *pb*  | ![](/files/li3Y6qmwMT4uNInRjUZ9) |

***

### Revenue Share

$$myRevenueShare = ps / ( tp + ps)$$

| Metric | Name               | Description                                       |
| ------ | ------------------ | ------------------------------------------------- |
| *ps*   | My Paraboost Score | The paraboost score for the current epoch.        |
| *tp*   | Total Paraboost    | The total paraboost score from all staking users. |

***

### Final APR adjusted to user input

We derive this formula from the starting formula and the revenue share:

$$myBasicPoolAPR = pr \* (userInput \* pb) \* ((plp1 +userInput) / (plp1 + userInput + 2.5 \* plp2)/ (userInput \* price) \* t1 / e1$$

$$myBasicPoolAPR = pr \* (2.5 \* userInput \* pb) \* (2.5 \* (plp2 +userInput) / (plp1 + 2.5 \* (plp2 + userInput)/ (userInput \* price / 0.8) \* t1 / e1$$

<table data-full-width="false"><thead><tr><th width="141">Formula key</th><th width="158">Metric name</th><th>Description</th></tr></thead><tbody><tr><td><em>pr</em></td><td>Predicted Rewards</td><td><p>The prediction of all fees collected on the protocol during the current epoch.<br></p><p>Formula:<br><em>Current epoch accrued revenue valued in USD at the moment of accrual + ( % remaining of the epoch * average of last 3 epoch's revenue)</em></p></td></tr><tr><td><em>rs</em></td><td>User Revenue Share</td><td>The user's revenue share.</td></tr><tr><td><em>userInput</em></td><td>User Input</td><td>Amount of tokens the user is willing to stake.</td></tr><tr><td><em>price</em></td><td>Price</td><td>The current price of the asset.</td></tr><tr><td><em>plp1</em></td><td>PSP in Basic Pool.</td><td>Amount of tokens locked on the basic pool reward option.</td></tr><tr><td><em>plp2</em></td><td>PSP in Boosted Pool</td><td>Amount of tokens locked on the boosted pool reward option.</td></tr><tr><td><em>t1</em></td><td>Days Constant</td><td>365d</td></tr><tr><td><em>e1</em></td><td>Epochs Constant</td><td>28d</td></tr></tbody></table>

***

Data Sources:

* Indexed Ethereum Data via Dune Analytics (APR, staked tokens, staking wallets, epoch revenue)
* Ethereum RPC Endpoints (on-chain PSP token balanceOf for staking pool validation)
* ParaSwap Dashboard Metabase API (total paraboost score per epoch)
* CoinGecko (PSP price, circulating supply)

***

#### References:

* [What is PSP 2.0](https://help.paraswap.io/en/articles/6921900-what-is-psp-2-0)
* [How is the ParaBoost Calculated?](https://help.paraswap.io/en/articles/6921929-how-is-the-paraboost-calculated)
* [What is the ParaBoost Share?](https://help.paraswap.io/en/articles/6921949-what-is-the-paraboost-share)

***

:books:[ Learn more about PSP Staking](https://www.stakingrewards.com/asset/paraswap)

:bar\_chart: [Calculate your PSP Staking Rewards](https://www.stakingrewards.com/calculator?asset=paraswap)

:gear: [Access historic ParaSwap Staking Data via API](https://www.stakingrewards.com/data-api)

```
Last updated on 03/23/2026
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stakingrewards.com/staking-data/methodologies/paraswap-srb.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
